HadoopShims (ORC Core 1.4.3 API)
Date: 2018-02-09

org.apache.orc.impl

## Interface HadoopShims

- All Known Implementing Classes:
    HadoopShims_2_2, HadoopShimsCurrent

      public interface HadoopShims

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `HadoopShims.ByteBufferPoolShim` a hadoop.io ByteBufferPool shim.
    `static class` | `HadoopShims.DirectCompressionType`
    `static interface` | `HadoopShims.DirectDecompressor`
    `static class` | `HadoopShims.Factory`
    `static interface` | `HadoopShims.TextReaderShim` Read data into a Text object in the fastest way possible
    `static interface` | `HadoopShims.ZeroCopyReaderShim`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HadoopShims.DirectDecompressor` | `getDirectDecompressor(HadoopShims.DirectCompressionType codec)` Get a direct decompressor codec, if it is available
    `HadoopShims.TextReaderShim` | `getTextReaderShim(InputStream input)` Wrap a TextReaderShim around an input stream.
    `HadoopShims.ZeroCopyReaderShim` | `getZeroCopyReader(FSDataInputStream in, HadoopShims.ByteBufferPoolShim pool)` Provides an HDFS ZeroCopyReader shim.

- - ### Method Detail

    - #### getDirectDecompressor

          HadoopShims.DirectDecompressor getDirectDecompressor(HadoopShims.DirectCompressionType codec)

      Get a direct decompressor codec, if it is available
      Parameters:
        `codec` -
      Returns:

    - #### getZeroCopyReader

          HadoopShims.ZeroCopyReaderShim getZeroCopyReader(FSDataInputStream in,
                                                           HadoopShims.ByteBufferPoolShim pool)
                                                    throws IOException

      Provides an HDFS ZeroCopyReader shim.
      Parameters:
        `in` - FSDataInputStream to read from (where the cached/mmap buffers are tied to)
        `in` - ByteBufferPoolShim to allocate fallback buffers with
      Returns:
        returns null if not supported
      Throws:
        `IOException`

    - #### getTextReaderShim

          HadoopShims.TextReaderShim getTextReaderShim(InputStream input)
                                                throws IOException

      Wrap a TextReaderShim around an input stream. The reader shim will not buffer any reads from the underlying stream and will only consume bytes which are required for TextReaderShim.read() input.
      Throws:
        `IOException`

Copyright © 2013–2018 The Apache Software Foundation. All rights reserved.